Bug 1411397 - all prompts should have default case and work accordingly
Summary: all prompts should have default case and work accordingly
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: cns-deploy-tool
Version: cns-3.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: Release Candidate
: CNS 3.4
Assignee: Ramakrishna Reddy Yekulla
QA Contact: Prasanth
URL:
Whiteboard:
Depends On:
Blocks: 1385247
TreeView+ depends on / blocked
 
Reported: 2017-01-09 15:47 UTC by Raghavendra Talur
Modified: 2017-01-23 07:12 UTC (History)
4 users (show)

Fixed In Version: cns-deploy-3.1.0-14
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-23 07:12:28 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Raghavendra Talur 2017-01-09 15:47:41 UTC
Description of problem:
For example: when abort related prompt appears, unless yes is provided we should exit.

How reproducible:
Always


Steps to Reproduce:
1. cns-deploy --abort -g topology.json
2. You will be asked for prompt with abort
3. Entering anything other Y* | y* should exit.


Actual results:
We don't exit and proceed with deployment.


Expected results:
We should exit.


Additional info:

Comment 1 Ramakrishna Reddy Yekulla 2017-01-09 16:18:08 UTC
The upstream patch is here https://github.com/gluster/gluster-kubernetes/pull/147

Comment 3 Prasanth 2017-01-10 14:43:08 UTC
Verified as fixed in cns-deploy-3.1.0-14


Note You need to log in before you can comment on or make changes to this bug.